sensorfw: LidSensorChannel Class Reference

sensorfw

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | List of all members
LidSensorChannel Class Reference

Sensor for accessing the internal ambient light sensor measurements. More...

`#include <lidsensor.h>`

Inheritance diagram for LidSensorChannel:

## Public Slots
bool | start ()
bool | stop ()

## Signals
void | lidChanged (const Lid &value)
| Sent when a change in measured data is observed.

## Public Member Functions
LidData | closed () const
| Property for accessing the measured value.

## Static Public Member Functions
static AbstractSensorChannel * | factoryMethod (const QString &id)
| Factory method for LidSensorChannel.

## Protected Member Functions
| LidSensorChannel (const QString &id)
virtual | ~LidSensorChannel ()

## Properties
LidData | closed

## Detailed Description

Sensor for accessing the internal ambient light sensor measurements.

Signals listeners whenever observed ambient light intensity level has changed.

Definition at line 48 of file lidsensor.h.

## Constructor & Destructor Documentation

## ◆ LidSensorChannel()

LidSensorChannel::LidSensorChannel | ( | const QString & | id | ) |
| protected

## ◆ ~LidSensorChannel()

virtual LidSensorChannel::~LidSensorChannel | ( |  | ) |
| protectedvirtual

## Member Function Documentation

## ◆ closed()

LidData LidSensorChannel::closed | ( |  | ) | const
| inline

Property for accessing the measured value.

Returns
  Last measured value.

Definition at line 72 of file lidsensor.h.

## ◆ factoryMethod()

static AbstractSensorChannel * LidSensorChannel::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Factory method for LidSensorChannel.

Returns
  New LidSensorChannel as AbstractSensorChannel*

Definition at line 60 of file lidsensor.h.

## ◆ lidChanged

void LidSensorChannel::lidChanged | ( | const Lid & | value | ) |
| signal

Sent when a change in measured data is observed.

Parameters

  value | Measured value.

## ◆ start

bool LidSensorChannel::start | ( |  | ) |
| slot

## ◆ stop

bool LidSensorChannel::stop | ( |  | ) |
| slot

## Property Documentation

## ◆ closed

LidData LidSensorChannel::closed
| read

Definition at line 53 of file lidsensor.h.

The documentation for this class was generated from the following file:

- sensors/lidsensor/lidsensor.h